Subject: bug#49592: 28.0.50; lisp-current-defun-name and non-standard defuns

From: Michael Heerdegen <[email-masked]>
Date: Tue, 09 Aug 2022 04:12:56 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Now done in Emacs 29.

Thx.

> (And feel free to adjust more if I've forgotten something.)

(I just fixed the edebug-spec -> t case which error'ed.)

Should we make the "fall back: display the name of the first symbol
after opening paren" case look different from the standard case?

For which-func display in the mode-line I'd find "(progn ...)" nice,
but I guess that would not be suitable for the "add-log" case.

Michael.